package com.qhtx.eta.infra.entity.dw;

import lombok.Data;

import java.io.Serializable;

/**
 * DW层-指标和对接码关系表(TDampDwIndexLink)实体类
 *
 * @author makejava
 * @since 2024-10-16 11:03:42
 */
@Data
public class TDampDwIndexLink implements Serializable {
    private static final long serialVersionUID = -55387477011291395L;
    /**
     * 主键
     */
    private String id;
    /**
     * 指标id
     */
    private String indexId;
    /**
     * 指标编码
     */
    private String indexCode;
    /**
     * 对接码详情表id
     */
    private String linkDataId;
    /**
     * 对接码
     */
    private String linkCode;
    /**
     * 时间范围起
     */
    private Long dateFrom;
    /**
     * 时间范围止
     */
    private Long dateTo;
    /**
     * 是否删除，1：是，0：否
     */
    private Integer isDelete;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 更新时间
     */
    private String updateTime;
    /**
     * 创建人id
     */
    private String createUserId;
    /**
     * 创建人名称
     */
    private String createUserName;
    /**
     * 更新人id
     */
    private String updateUserId;
    /**
     * 更新人
     */
    private String updateUserName;

    private String htUniqueCode;

    private String indexCnName;

}

