package com.qhtx.eta.infra.mapper;

import com.qhtx.eta.infra.entity.dw.TDampDwIndex;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 指标表(TDampDwIndex)表数据库访问层
 *
 * @author makejava
 * @since 2024-10-15 17:51:36
 */
public interface TDampDwIndexDao {


    /**
     * 新增数据
     *
     * @param tDampDwIndex 实例对象
     * @return 影响行数
     */
    int insert(@Param("entity") TDampDwIndex tDampDwIndex);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TDampDwIndex> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TDampDwIndex> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<TDampDwIndex> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<TDampDwIndex> entities);


    List<Long> getIndexSeq(@Param("nums") Integer nums);
}

