package com.qhtx.eta.infra.mapper;

import com.qhtx.eta.infra.entity.dw.TDampDwLinkData;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * DW层对接码详情表(TDampDwLinkData)表数据库访问层
 *
 * @author makejava
 * @since 2024-10-15 15:53:28
 */
public interface TDampDwLinkDataDao {


    /**
     * 查询指定行数据
     *
     * @param offset offset
     * @param limit  limit
     * @return 对象列表
     */
    List<TDampDwLinkData> queryAllByLimit(@Param("offset") int offset, @Param("limit") int limit);

    /**
     * 统计总行数
     *
     * @return 总行数
     */
    long count();

    List<TDampDwLinkData> queryAll();
}

