package com.qhtx.eta.infra.service.impl;

import com.qhtx.eta.common.eunms.DataSourceType;
import com.qhtx.eta.infra.annotation.UseDataSource;
import com.qhtx.eta.infra.entity.dw.TDampDwIndexLink;
import com.qhtx.eta.infra.mapper.TDampDwIndexLinkDao;
import com.qhtx.eta.infra.service.TDampDwIndexLinkService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * DW层-指标和对接码关系表(TDampDwIndexLink)表服务实现类
 *
 * @author makejava
 * @since 2024-10-16 11:03:42
 */
@Service("tDampDwIndexLinkService")
@UseDataSource(dataSourceType = DataSourceType.DW)
public class TDampDwIndexLinkServiceImpl implements TDampDwIndexLinkService {
    @Resource
    private TDampDwIndexLinkDao tDampDwIndexLinkDao;

    /**
     * 新增数据
     *
     * @param tDampDwIndexLink 实例对象
     * @return 实例对象
     */
    @Override
    public TDampDwIndexLink insert(TDampDwIndexLink tDampDwIndexLink) {
        this.tDampDwIndexLinkDao.insert(tDampDwIndexLink);
        return tDampDwIndexLink;
    }

    @Override
    public List<TDampDwIndexLink> queryAll(String prefix) {
        return tDampDwIndexLinkDao.queryAll(prefix);
    }

}
