package com.qhtx.eta.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;


@Component
@Data
@ConfigurationProperties(prefix = "eta.datasource")
public class DataSourceProperties {
    /**
     * 读取超时时间
     */
    private int retryInterval;

    /**
     * 重试次数
     */
    private int retryTimes;

    private LimitProperties data;

    private LimitProperties quota;
}
