package com.qhtx.eta.domain.api.proxy.impl;

import com.qhtx.eta.domain.api.proxy.ApiParameterProxy;
import com.qhtx.eta.domain.api.http.request.ETADataHttpRequest;
import com.qhtx.eta.common.eunms.ErrorEnum;
import com.qhtx.eta.common.exception.ETAException;

public class ETADataParameterProxy extends ApiParameterProxy<ETADataHttpRequest> {

    @Override
    public ETADataHttpRequest acceptParam(Object data) {
        if (data instanceof ETADataHttpRequest) {
            return (ETADataHttpRequest) data;
        }
        throw new ETAException(ErrorEnum.PARAM_TYPE_ERROR);
    }
}
