package com.qhtx.eta.domain.convert;

import com.qhtx.eta.domain.entity.ClassifyMappingDTO;
import com.qhtx.eta.domain.entity.DWIndexFrameDTO;
import com.qhtx.eta.infra.entity.dw.ETAClassifyIndexFrameMapping;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface ClassifyMappingDTOConverter {
    ClassifyMappingDTOConverter INSTANCE = Mappers.getMapper(ClassifyMappingDTOConverter.class);

    ClassifyMappingDTO convertEntityToDTO(ETAClassifyIndexFrameMapping etaClassifyIndexFrameMapping);

    List<ClassifyMappingDTO> convertEntityToDTOList(List<ETAClassifyIndexFrameMapping> etaClassifyIndexFrameMappingList);


    @Mapping(source = "classifyName", target = "cnName")
    @Mapping(source = "sort", target = "sort")
    @Mapping(source = "indexFrameId", target = "id")
    DWIndexFrameDTO convertDTOToDWIndexFrame(ClassifyMappingDTO classifyDTO);

    List<DWIndexFrameDTO> convertDTOToDWIndexFrameList(List<ClassifyMappingDTO> classifyDTO);
}
