package com.qhtx.eta.domain.convert;

import com.qhtx.eta.infra.entity.ods.EtaApiQuotaData;
import com.qhtx.eta.infra.entity.ods.EtaApiQuotaInfo;
import com.qhtx.eta.domain.entity.QuotaDataDTO;
import org.mapstruct.AfterMapping;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface EtaApiQuotaDataConverter {
    EtaApiQuotaDataConverter INSTANCE = Mappers.getMapper(EtaApiQuotaDataConverter.class);

    List<EtaApiQuotaData> convertEntityToBoList(List<QuotaDataDTO> quotaDataList);


    EtaApiQuotaInfo convertEntityToBo(QuotaDataDTO quotaDataDTO);

    @AfterMapping
    default void setCreateDateTime(@MappingTarget EtaApiQuotaData etaApiQuotaData) {
        // 设置当前时间戳
//        etaApiQuotaData.setDataCreateTime(System.currentTimeMillis());
//        etaApiQuotaData.setDataUpdateTime(System.currentTimeMillis());
//        etaApiQuotaData.setIsDelete(0);
//        etaApiQuotaData.setIsQuality(0);
    }
}
