package com.qhtx.eta.infra.entity.dw;

import lombok.Data;

import java.io.Serializable;

/**
 * 指标表(TDampDwIndex)实体类
 *
 * @author makejava
 * @since 2024-10-15 17:51:49
 */
@Data
public class TDampDwIndex implements Serializable {
    private static final long serialVersionUID = -20237045048334321L;
    /**
     * 主键
     */
    private String id;
    /**
     * 指标名称中文
     */
    private String indexCnName;
    /**
     * 签名,中文名的MD5生成，用来保证名称唯一
     */
    private String cnSignature;
    /**
     * 指标名称中文简称
     */
    private String indexShortName;
    /**
     * 指标名称英文
     */
    private String indexEnName;
    /**
     * 指标编码
     */
    private String indexCode;
    /**
     * 来源
     */
    private String sourceName;
    /**
     * 频度
     */
    private String frequency;
    /**
     * 保留位数
     */
    private Integer places;
    /**
     * 指标状态 1:正常维护 2停止维护
     */
    private Integer status;
    /**
     * 维护方式 1:人工 2:爬虫 3:计算 4:对接;
     */
    private Integer maintainType;
    /**
     * 是否对外，1：是，0：否
     */
    private Integer isForeign;
    /**
     * 衍生公式;
     */
    private String deriveFormula;
    /**
     * 是否删除，1：是，0：否
     */
    private Integer isDelete;
    /**
     * 是否启用，1：是，0：否
     */
    private Integer isEnable;
    /**
     * 框架id
     */
    private String frameId;
    /**
     * 目标信息表id
     */
    private String infoTableId;
    /**
     * 目标信息表名
     */
    private String infoTableName;
    /**
     * 目标信息表ES表名
     */
    private String infoTableEsName;
    /**
     * 目标数据表id
     */
    private String dataTableId;
    /**
     * 目标数据表名
     */
    private String dataTableName;
    /**
     * 目标数据表ES表名
     */
    private String dataTableEsName;
    /**
     * 单位
     */
    private String units;
    /**
     * 英文描述
     */
    private String enRemarks;
    /**
     * 中文描述
     */
    private String cnRemarks;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 更新时间
     */
    private String updateTime;
    /**
     * 创建人id
     */
    private String createUserId;
    /**
     * 创建人名称
     */
    private String createUserName;
    /**
     * 更新人id
     */
    private String updateUserId;
    /**
     * 更新人名称
     */
    private String updateUserName;
    /**
     * 分类名称（弃用）
     */
    private String dataName;
    /**
     * 分类代码（弃用）
     */
    private String dataClassifyCode;
    /**
     * 分类 值名称
     */
    private String valueName;
    /**
     * 分类 值编码
     */
    private String valueCode;


}

