package com.qhtx.eta.infra.entity.dw;

import lombok.Data;

import java.io.Serializable;

/**
 * DW层对接码详情表(TDampDwLinkData)实体类
 *
 * @author makejava
 * @since 2024-10-15 15:53:29
 */
@Data
public class TDampDwLinkData implements Serializable {
    private static final long serialVersionUID = 443727606323720385L;
    /**
     * 主键
     */
    private String id;
    /**
     * 对接码管理表主键
     */
    private String linkId;
    /**
     * 对接码code
     */
    private String linkCode;
    /**
     * 对接码名称
     */
    private String linkName;
    /**
     * 对接码所属字段名称，以，隔开
     */
    private String linkFiledName;
    /**
     * 对接码所属字段id，以，隔开
     */
    private String linkFiledIds;
    /**
     * 对接码有效数据总数
     */
    private Integer totalNum;
    /**
     * 对接码新增总数
     */
    private Integer increaseNum;
    /**
     * 最小时间
     */
    private String minTime;
    /**
     * 最大时间
     */
    private String maxTime;
    /**
     * 是否显示，1，显示，0隐藏
     */
    private Integer isShow;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 更新时间
     */
    private String updateTime;
    /**
     * 元素值
     */
    private String elementVal;
    /**
     * 元素名
     */
    private String elementName;
    /**
     * 分区
     */
    private Integer partitionId;


}

