package com.qhtx.eta.infra.mapper;

import com.qhtx.eta.infra.entity.dw.TDampDwIndexLink;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * DW层-指标和对接码关系表(TDampDwIndexLink)表数据库访问层
 *
 * @author makejava
 * @since 2024-10-16 11:03:42
 */
public interface TDampDwIndexLinkDao {
    /**
     * 统计总行数
     *
     * @param tDampDwIndexLink 查询条件
     * @return 总行数
     */
    long count(TDampDwIndexLink tDampDwIndexLink);

    /**
     * 新增数据
     *
     * @param tDampDwIndexLink 实例对象
     * @return 影响行数
     */
    int insert(@Param("entity") TDampDwIndexLink tDampDwIndexLink);


    List<TDampDwIndexLink> queryAll(@Param("prefix") String prefix);
}

