package com.qhtx.eta.infra.service.impl;

import com.qhtx.eta.common.eunms.DataSourceType;
import com.qhtx.eta.infra.annotation.UseDataSource;
import com.qhtx.eta.infra.entity.dw.TDampDwLinkData;
import com.qhtx.eta.infra.mapper.TDampDwLinkDataDao;
import com.qhtx.eta.infra.service.TDampDwLinkDataService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * DW层对接码详情表(TDampDwLinkData)表服务实现类
 *
 * @author makejava
 * @since 2024-10-15 15:53:30
 */
@Service("tDampDwLinkDataService")
@UseDataSource(dataSourceType = DataSourceType.DW)
public class TDampDwLinkDataServiceImpl implements TDampDwLinkDataService {
    @Resource
    private TDampDwLinkDataDao tDampDwLinkDataDao;


    @Override
    public List<TDampDwLinkData> queryByLimit(int offset, int limit) {
        return tDampDwLinkDataDao.queryAllByLimit(offset, limit);
    }

    @Override
    public List<TDampDwLinkData> queryAll() {
        return tDampDwLinkDataDao.queryAll();
    }

    @Override
    public long count() {
        return tDampDwLinkDataDao.count();
    }
}
