package com.qhtx.eta.infra.service.impl;

import com.qhtx.eta.common.eunms.DataSourceType;
import com.qhtx.eta.infra.annotation.UseDataSource;
import com.qhtx.eta.infra.entity.dw.TDampDwLinkInfo;
import com.qhtx.eta.infra.mapper.TDampDwLinkInfoDao;
import com.qhtx.eta.infra.service.TDampDwLinkInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 对接码管理表(TDampDwLinkInfo)表服务实现类
 *
 * @author makejava
 * @since 2024-10-15 10:20:59
 */
@Service("tDampDwLinkInfoService")
@UseDataSource(dataSourceType = DataSourceType.DW)
public class TDampDwLinkInfoServiceImpl implements TDampDwLinkInfoService {
    @Resource
    private TDampDwLinkInfoDao tDampDwLinkInfoDao;

    /**
     * 通过ID查询单条数据
     *
     * @param prefix 主键
     * @return 实例对象
     */
    @Override
    public TDampDwLinkInfo queryByLinkPrefix(String prefix) {
        return this.tDampDwLinkInfoDao.queryByLinkPrefix(prefix);
    }

}
